import squares_yield                      # Ponowne użycie __init__ z poprzedniego przykładu

class Squares(squares_yield.Squares):     # Odpowiednik o innej nazwie niż __iter__ 
    def gen(self):
        for value in range(self.start, self.stop + 1):
            yield value ** 2

